<!DOCTYPE html>
<html lang="<?php echo $tpl['lang_selected']; ?>" class="nojs">

<head>
	<title><?php echo $tpl['page_title'](); ?></title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
<?php if (!empty($tpl['category']['description_meta'])) : ?>
	<meta name="description" content="<?php echo $tpl['category']['description_meta']; ?>">
<?php elseif (!empty($tpl['item']['description_meta'])) : ?>
	<meta name="description" content="<?php echo $tpl['item']['description_meta']; ?>">
<?php endif; ?>
<?php if (!empty($tpl['category']['canonical'])) : ?>
	<link rel="canonical" href="<?php echo $tpl['category']['canonical']; ?>">
<?php elseif (!empty($tpl['item']['canonical'])) : ?>
	<link rel="canonical" href="<?php echo $tpl['item']['canonical']; ?>">
<?php endif; ?>
	<link rel="stylesheet" type="text/css" media="screen" title="style" href="<?php echo $tpl['gallery']['template']['path'](); ?>/style/style.css?<?php echo $tpl['version_key']; ?>">
<?php if (!empty($tpl['diaporama'])) : ?>
	<link rel="stylesheet" type="text/css" media="screen" title="style" href="<?php echo $tpl['gallery']['template']['path'](); ?>/style/diaporama.css?<?php echo $tpl['version_key']; ?>">
<?php endif; ?>
	<style type="text/css" id="css_custom"><?php include_once(__DIR__ . '/php/custom.php'); ?></style>

<?php if ($tpl['geolocation']) : ?>
	<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
	  integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
	  crossorigin=""/>
	<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
	  integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
	  crossorigin=""></script>
<?php endif; ?>

	<script type="text/javascript" src="<?php echo $tpl['gallery']['path']; ?>/js/jquery/jquery.js?<?php echo $tpl['version_key']; ?>"></script>
<?php if ($tpl['user']['admin']) : ?>
	<script type="text/javascript" src="<?php echo $tpl['gallery']['path']; ?>/js/iro.js?<?php echo $tpl['version_key']; ?>"></script>
<?php endif; ?>
	<script type="text/javascript" src="<?php echo $tpl['gallery']['template']['path'](); ?>/js/gallery.js?<?php echo $tpl['version_key']; ?>"></script>

<?php if (isset($tpl['video_captures'])) : ?>
	<script type="text/javascript" src="<?php echo $tpl['gallery']['path']; ?>/js/videocaptures.js?<?php echo $tpl['version_key']; ?>"></script>
<?php endif; ?>

<?php if (!empty($tpl['diaporama'])) : ?>
	<script type="text/javascript" src="<?php echo $tpl['gallery']['path']; ?>/js/diaporama.js?<?php echo $tpl['version_key']; ?>"></script>
<?php endif; ?>

<?php if ($_GET['section'] == 'user-upload') : ?>
	<script type="text/javascript" src="<?php echo $tpl['gallery']['path']; ?>/js/upload.js?<?php echo $tpl['version_key']; ?>"></script>
<?php endif; ?>

	<script type="text/javascript">
	var anticsrf = "<?php echo $tpl['anticsrf'](); ?>";
	var gallery_path = "<?php echo $tpl['gallery']['path']; ?>";
	var q = "<?php echo $_GET['q']; ?>";
	var q_pageless = "<?php echo $_GET['q_pageless']; ?>";
<?php if (isset($tpl['video_captures'])) : ?>
	var captures = [];
<?php foreach ($tpl['video_captures'] as $i) : ?>
	captures.push({
		hash:'<?php echo $i['hash']; ?>',
		key:'<?php echo $i['key']; ?>',
		id:'<?php echo $i['id']; ?>',
		path:'<?php echo $i['path']; ?>'
	});
<?php endforeach; ?>
<?php endif; ?>
	</script>
</head>

<body id="section_<?php echo str_replace('-', '_', $_GET['section']); ?>" <?php if ($is_background) : ?>class="bg"<?php endif; ?>>
<?php $locked = FALSE; ?>

<div id="gallery">
<div id="gallery_inner">
	<header class="<?php if ($tpl['users']) : ?>user<?php endif; ?><?php if ($is_banner) : ?> banner<?php endif; ?>">
		<div id="header_top">
<?php if (($display_menu || $tpl['user']['admin']) && (($tpl['user']['auth'] && $tpl['config']('users_only_members')) || !$tpl['config']('users_only_members'))) : ?>
			<a id="menu_link" href="javascript:;"<?php if (!$display_menu) : ?> style="display:none"<?php endif; ?>>&#xe966;</a>
<?php endif; ?>
			<div id="title">
				<h1><a href="<?php echo $tpl['link'](); ?>"><?php echo $tpl['config']('gallery_title'); ?></a></h1>
			</div>
<?php if ($tpl['users']) : ?>
			<div id="user_links">
<?php if ($tpl['user']['auth']) : ?>
				<a class="box_arrow_link box_arrow_custom" data-box="user_menu" href="<?php echo $tpl['link']('user/' . $tpl['user']['id']); ?>"><img src="<?php echo $tpl['user']['avatar_source']; ?>"></a>
				<ul class="box_arrow box_arrow_small_screen" id="user_menu">
					<li id="user_login"><a href="<?php echo $tpl['link']('user/' . $tpl['user']['id']); ?>"><?php echo $tpl['user']['nickname']; ?></a></li>
					<li id="user_avatar"><a href="<?php echo $tpl['link']('user/' . $tpl['user']['id']); ?>"><img src="<?php echo $tpl['user']['avatar_source']; ?>"></a></li>
					<li id="user_logout"><a href="<?php echo $tpl['link']('logout'); ?>"><?php echo __('Déconnexion'); ?></a></li>
				</ul>
<?php else : ?>
				<a class="box_arrow_link box_arrow_custom" data-box="user_menu" href="javascript:;"><img src="<?php echo $tpl['user']['avatar_source']; ?>"></a>
				<ul class="box_arrow box_arrow_small_screen" id="user_menu">
<?php if ($tpl['config']('users_registration')) : ?>
					<li id="user_register"><a href="<?php echo $tpl['link']('register'); ?>"><?php echo __('Créer un compte'); ?></a></li>
<?php endif; ?>
					<li id="user_avatar"><a href="<?php echo $tpl['link']('login'); ?>"><img src="<?php echo $tpl['user']['avatar_source']; ?>"></a></li>
					<li id="user_connection"><a data-box-name="box_login" href="<?php echo $tpl['link']('login'); ?>"><?php echo __('Connexion'); ?></a></li>
				</ul>
<?php endif; ?>
			</div>
<?php endif; ?>
		</div>
<?php if (($display_menu || $tpl['user']['admin']) && (($tpl['user']['auth'] && $tpl['config']('users_only_members')) || !$tpl['config']('users_only_members'))) : ?>
		<div data-option-display="menu"<?php if (!$display_menu) : ?> style="display:none"<?php endif; ?>>
			<nav id="menu">
				<ul>
					<li id="menu_gallery" class="<?php if (!empty($tpl['categories_browse'])) : ?>browse<?php endif; ?><?php echo (in_array($_GET['section'], ['album', 'category', 'item'])) ? ' current' : ''; ?>">
						<a<?php if (!empty($tpl['categories_browse'])) : ?> class="box_arrow_link" data-box="browse"<?php endif; ?> href="<?php echo $tpl['gallery']['path']; ?>/"><?php echo __('Galerie'); ?></a>
					</li>
<?php foreach ($tpl['menu_pages'] as &$i) : ?>
					<li id="menu_<?php echo $i['name']; ?>"<?php echo ($i['current']) ? ' class="current"' : ''; ?>><a href="<?php echo $i['link']; ?>"><?php echo $i['title']; ?></a></li>
<?php endforeach; ?>
<?php if ($tpl['config']('search')) : ?>
					<li id="menu_search"<?php echo ($_GET['section'] == 'search') ? ' class="current"' : ''; ?>><a href="<?php echo $tpl['link']('search'); ?>"><?php echo __('Recherche'); ?></a></li>
					<li id="menu_search_icon"<?php echo ($_GET['section'] == 'search') ? ' class="current"' : ''; ?>><a class="box_arrow_link" data-box="search" href="<?php echo $tpl['link']('search'); ?>">&#xe986;</a></li>
<?php endif; ?>
				</ul>
			</nav>
		</div>
<?php endif; ?>
	</header>
	<div id="content">

		<main>
<?php include($tpl['template']['file']); ?>
		</main>

<?php if (!empty($tpl['category']['stats']) || !empty($tpl['category']['tags'])
	   || !empty($tpl['links']) || !empty($tpl['users_online'])) : ?>
<?php include('bottom.tpl.php'); ?>
<?php endif; ?>

<?php if (!empty($tpl['categories_browse'])) : ?>
		<div id="browse" class="box_arrow">
			<div id="browse_inner">
				<p id="browse_search" class="field"><input type="text"></p>
				<ul>
<?php foreach ($tpl['categories_browse'] as &$i) : ?>
<?php if ($i['node'] == 'content') : ?>
					<li class="<?php if ($i['current']) : ?> current<?php endif; ?><?php if ($i['unlocked']) : ?> unlocked<?php elseif ($i['locked']) : $locked = TRUE ?> locked<?php endif; ?>">
						<a href="<?php echo isset($_GET['filter']) ? $i['link'] : $i['link_urlname']; ?>"<?php if ($i['locked']) : ?> data-box-name="box_password" data-cat-id="<?php echo $i['id']; ?>"<?php endif; ?>>
							<?php echo str_repeat('&nbsp;', $i['level'] * 2); ?><span><?php echo $i['title']; ?></span>
						</a>
					</li>
<?php endif; ?>
<?php endforeach; ?>
				</ul>
			</div>
		</div>
<?php endif; ?>

<?php if ($tpl['search']) : ?>
		<div id="search" class="box_arrow">
			<form action="<?php echo $tpl['current_url_pageless']; ?>" method="post">
				<input required name="search_query" maxlength="68" type="text" value="<?php echo $tpl['search']['query'] ?? ''; ?>">
				<input name="anticsrf" type="hidden" value="<?php echo $tpl['anticsrf'](); ?>">
				<input class="button" type="submit" value="<?php echo __('Chercher'); ?>">
			</form>
<?php if ($tpl['search_advanced']) : ?>
			<a href="<?php echo $tpl['link']('search-advanced'); ?>"><?php echo __('Recherche avancée'); ?></a>
<?php endif; ?>
		</div>
<?php endif; ?>

	</div>
</div>
<footer>
<?php if ($tpl['lang_switch']) : ?>
	<p id="footer_lang">
		<a href="<?php echo $tpl['link']('language'); ?>"><span>&#xe900;</span><?php echo $tpl['lang_switch'][$tpl['lang_selected']]['name']; ?></a>
	</p>
	<div id="lang_switch">
		<ul>
<?php foreach ($tpl['lang_switch'] as $i) : ?>
			<li<?php if ($i['code'] == $tpl['lang_selected']) : ?> class="current"<?php endif; ?>>
				<a href="javascript:;" data-code="<?php echo $i['code']; ?>">
					<span>[<?php echo $i['code']; ?>]</span>
					<?php echo $i['name']; ?>
				</a>
			</li>
<?php endforeach; ?>
		</ul>
	</div>
<?php endif; ?>
<?php if ($tpl['footer_text']) : ?>
	<p id="footer_text"><?php echo nl2br(HTML::decode($tpl['footer_text'])); ?></p>
<?php endif; ?>
<?php if (CONF_EXEC_TIME) : ?>
	<p id="footer_time"><?php echo $tpl['time'](); ?></p>
<?php endif; ?>
	<p id="footer_system">
		<?php printf(__('Propulsé par %s'), '<a class="ex" href="' . $tpl['app']['website'] . '">' . $tpl['app']['name'] . '</a>'); ?>
<?php if (CONF_ADMIN_DIR == 'admin') : ?>
		-
		<a href="<?php echo $tpl['admin']['path']; ?>/">admin</a>
<?php endif; ?>
	</p>
</footer>
<div id="debug">
<?php $tpl['print']('logs'); ?>
<?php $tpl['print']('errors'); ?>
<?php $tpl['print']('sql'); ?>
</div>
</div>

<?php if ($tpl['users'] && !$tpl['user']['auth']) : ?>
<script type="text/javascript">
document.getElementsByTagName('body')[0].innerHTML +=
'<div id="box_login" class="box_outer" data-box-large-screen="1">\
	<div class="box_inner">\
		<div class="box box_center">\
			<ul class="box_menu">\
				<li class="current"><a data-box-page-id="box_login_page" href="javascript:;"><span>&#xe971;</span><?php echo $tpl['php2js'](__('Connexion')); ?></a></li>\
			</ul>\
			<div id="box_login_page" class="box_page">\
				<form>\
					<div class="box_content">\
						<p class="field">\
							<label for="login_username"><?php echo $tpl['php2js'](__('Nom d\'utilisateur :')); ?></label>\
							<input id="login_username" name="login" type="text" maxlength="<?php echo User::COLUMNS_LENGTH_MAX['login']; ?>" class="focus">\
						</p>\
						<p class="field">\
							<label for="login_password"><?php echo $tpl['php2js'](__('Mot de passe :')); ?></label>\
							<input id="login_password" name="password" type="password" maxlength="<?php echo User::COLUMNS_LENGTH_MAX['password']; ?>">\
						</p>\
						<p class="field checkbox">\
							<input<?php if ($tpl['remember']) : ?> checked<?php endif; ?> id="login_remember" name="remember" type="checkbox">\
							<label for="login_remember"><?php echo $tpl['php2js'](__('Rester connecté')); ?></label>\
						</p>\
						<p id="connection_forgot" class="field">\
							<a href="<?php echo $tpl['link']('forgot-password'); ?>"><?php echo $tpl['php2js'](__('Mot de passe oublié')); ?></a>\
						</p>\
					</div>\
					<div class="box_buttons">\
						<input class="button" name="submit" value="<?php echo $tpl['php2js'](__('Valider')); ?>" type="submit">\
						<input data-box-close="1" class="button" name="cancel" value="<?php echo $tpl['php2js'](__('Annuler')); ?>" type="button">\
					</div>\
				</form>\
			</div>\
		</div>\
	</div>\
</div>';
</script>
<?php endif; ?>

<?php if ($locked) : ?>
<script type="text/javascript">
document.getElementsByTagName('body')[0].innerHTML +=
'<div id="box_password" class="box_outer" data-box-large-screen="1">\
	<div class="box_inner">\
		<div class="box box_center">\
			<ul class="box_menu">\
				<li class="current"><a data-box-page-id="box_password_page" href="javascript:;"><span>&#xe98d;</span><?php echo $tpl['php2js'](__('Mot de passe')); ?></a></li>\
			</ul>\
			<div id="box_password_page" class="box_page">\
				<form>\
					<div class="box_content">\
						<p class="field">\
							<label for="cat_password"><?php echo $tpl['php2js'](__('Veuillez entrer le mot de passe pour accéder à cette partie de la galerie :')); ?></label>\
							<input size="40" maxlength="128" type="password" id="cat_password" name="password" class="focus">\
						</p>\
						<p class="field checkbox">\
							<input<?php if ($tpl['remember']) : ?> checked<?php endif; ?> id="cat_remember" name="remember" type="checkbox">\
							<label for="cat_remember"><?php echo $tpl['php2js'](__('Rester connecté')); ?></label>\
						</p>\
					</div>\
					<div class="box_buttons">\
						<input class="button" name="submit" value="<?php echo $tpl['php2js'](__('Valider')); ?>" type="submit">\
						<input data-box-close="1" class="button" name="cancel" value="<?php echo $tpl['php2js'](__('Annuler')); ?>" type="button">\
					</div>\
				</form>\
			</div>\
		</div>\
	</div>\
</div>';
</script>
<?php endif; ?>

<?php if (!empty($tpl['diaporama'])) : ?>
<?php include_once(__DIR__ . '/diaporama.tpl.php'); ?>
<?php endif; ?>

<?php if ($tpl['user']['admin']) : ?>
<?php include_once(__DIR__ . '/theme_options.tpl.php'); ?>
<?php endif; ?>

<div id="small_screen"></div>

</body>

</html>